ols(1)

NAME
ols - list source files in an OMNI build tree

SYNOPSIS
ols [file]

DESCRIPTION
This command is only of any use inside an OMNI build tree. When given no arguments it finds the directory corresponding to the current directory in each of the source trees and lists all the files there. When given an argument it searches for that file in the current directory and the corresponding directory in each of the source trees. If it finds the file then it prints the full path. This can be usefully used in backticks to operate on the source file, whichever source tree it happens to be in, e.g. more `ols foo.cc`

SEE ALSO
obuildtree(1) omake(1)

FILES

<top>/config/sources
    contains a list of the source trees if this is an OMNI build tree.

AUTHOR
Tristan Richardson, ORL